Bug 494188

Summary: nouveau doesn't work on a GeForce 2 MX
Product: [Fedora] Fedora Reporter: Ivo Anjo <knuckles>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: airlied, ajax, awilliam, bskeggs
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-25 18:52:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Xorg log, first start
none
Xorg log, after killing and trying to run it again none

Description Ivo Anjo 2009-04-05 09:35:11 EDT
Created attachment 338228 [details]
Xorg log, first start

Description of problem:
Card: nVidia Corporation NV11 [GeForce2 MX/MX 400] [10de:0110] (rev a1)
The X server tries to start up, and just sits there eating 100% cpu.
Killing it and trying to restart it again via ssh from another pc I get
Fatal server error:
Detected GPU lockup

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-20.20090330git9d46930.fc11.i586
Also tried with 0.0.12-22.20090404git836d985.fc11

How reproducible:
Almost-always. I was once able to get to the desktop, open a terminal, and then it froze up.

Steps to Reproduce:
1. Boot nouveau testing livecd
  
Actual results:
Blank screen

Expected results:
Desktop

Additional info:
Might be related to bug #492819 (if I'm not mistaken the geforce4mx is just a higher clocked geforce2mx)
Comment 1 Ivo Anjo 2009-04-05 09:35:57 EDT
Created attachment 338230 [details]
Xorg log, after killing and trying to run it again
Comment 2 Ben Skeggs 2009-04-09 02:09:00 EDT
For some reason bugzilla won't let me get at the logs.. I'll take a guess at this being AGP madness.  How do you fare if you boot with nouveau.noagp=1 on the kernel commandline?
Comment 3 Adam Williamson 2009-04-17 15:00:05 EDT
ben: logs should be OK now - it was a bad mimetype. You can fix this by hitting 'details' on the attachment and changing the mimetype to text/plain .
Comment 4 Ivo Anjo 2009-04-25 08:23:52 EDT
I am very sorry for taking this long to reply, but from now on replies should be faster.

I've tried with nouveau.noagp=1 on the kernel command-line and I still get a blank screen (also i got the message "unknown boot option nouveau.noagp=1, ignoring").

Also, with this version the entire system locks up when starting the X server (ping stops working).

Testing was done with the livecd-fedora-livecd-testday-20090414-i386.iso livecd, which has nouveau version xorg-x11-drv-nouveau-0.0.12-25.20090408gitd8545e6.fc11.i586 .
Comment 5 Ivo Anjo 2009-04-25 18:52:38 EDT
I've finally installed rawhide on one of my pc's and retried with version xorg-x11-drv-nouveau-0.0.12-31.20090421git47bb00f.fc11.i586 and it's working properly now, thanks!